Loading...
Searching...
No Matches
casacore::TableExprGroupFuncSet Class Reference
tables package (libcasa_tables) » TaQL_module » TaQL_module_internal_classes

Class containing the results of aggregated values in a group. More...

`#include <ExprGroup.h>`

## Public Member Functions

| TableExprGroupFuncSet ()
| TableExprGroupFuncSet (const vector< TableExprNodeRep * > &aggrNodes)
| Let the aggregate node objects construct the function set.
| TableExprGroupFuncSet (const TableExprGroupFuncSet &)=delete
| Copying is not needed, thus not allowed.
TableExprGroupFuncSet & | operator= (const TableExprGroupFuncSet &)=delete
void | add (const std::shared_ptr< TableExprGroupFuncBase > &func)
| Add a function object.
void | apply (const TableExprId &id)
| Apply the functions to the given row.
const vector< std::shared_ptr< TableExprGroupFuncBase > > & | getFuncs () const
| Get the vector of functions.
const TableExprId & | getId () const
| Get the TableExprId.

## Private Attributes

vector< std::shared_ptr< TableExprGroupFuncBase > > | itsFuncs
TableExprId | itsId

## Detailed Description

Class containing the results of aggregated values in a group.

### Intended use:

Internal

### Review Status

Test programs:
  tExprGroup

### Synopsis

This class contains the set of aggregate function objects containing all aggregate results of a particular GROUPBY group. It also contains the TableExprId of the last row in the group. It is used for possible non-aggregate expressions.

Definition at line 798 of file ExprGroup.h.

## Constructor & Destructor Documentation

## TableExprGroupFuncSet() [1/3]

casacore::TableExprGroupFuncSet::TableExprGroupFuncSet | ( |  | ) |

inline

Definition at line 801 of file ExprGroup.h.

References itsId.

Referenced by operator=(), and TableExprGroupFuncSet().

## TableExprGroupFuncSet() [2/3]

casacore::TableExprGroupFuncSet::TableExprGroupFuncSet | ( | const vector< TableExprNodeRep * > & | aggrNodes | ) |

Let the aggregate node objects construct the function set.

## TableExprGroupFuncSet() [3/3]

casacore::TableExprGroupFuncSet::TableExprGroupFuncSet | ( | const TableExprGroupFuncSet & |  | ) |

delete

Copying is not needed, thus not allowed.

References TableExprGroupFuncSet().

## Member Function Documentation

## add()

void casacore::TableExprGroupFuncSet::add | ( | const std::shared_ptr< TableExprGroupFuncBase > & | func | ) |

Add a function object.

## apply()

void casacore::TableExprGroupFuncSet::apply | ( | const TableExprId & | id | ) |

Apply the functions to the given row.

## getFuncs()

const vector< std::shared_ptr< TableExprGroupFuncBase > > & casacore::TableExprGroupFuncSet::getFuncs | ( |  | ) | const

inline

Get the vector of functions.

Definition at line 819 of file ExprGroup.h.

References itsFuncs.

## getId()

const TableExprId & casacore::TableExprGroupFuncSet::getId | ( |  | ) | const

inline

Get the TableExprId.

Definition at line 823 of file ExprGroup.h.

References itsId.

## operator=()

TableExprGroupFuncSet & casacore::TableExprGroupFuncSet::operator= | ( | const TableExprGroupFuncSet & |  | ) |

delete

References TableExprGroupFuncSet().

## Member Data Documentation

## itsFuncs

vector<std::shared_ptr<TableExprGroupFuncBase> > casacore::TableExprGroupFuncSet::itsFuncs

private

Definition at line 828 of file ExprGroup.h.

Referenced by getFuncs().

## itsId

TableExprId casacore::TableExprGroupFuncSet::itsId

private

Definition at line 829 of file ExprGroup.h.

Referenced by getId(), and TableExprGroupFuncSet().

The documentation for this class was generated from the following file:

- tables/TaQL/ExprGroup.h